<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/*
| -------------------------------------------------------------------------
| URI ROUTING
| -------------------------------------------------------------------------
| This file lets you re-map URI requests to specific controller functions.
|
| Typically there is a one-to-one relationship between a URL string
| and its corresponding controller class/method. The segments in a
| URL normally follow this pattern:
|
|	example.com/class/method/id/
|
| In some instances, however, you may want to remap this relationship
| so that a different class/function is called than the one
| corresponding to the URL.
|
| Please see the user guide for complete details:
|
|	http://codeigniter.com/user_guide/general/routing.html
|
| -------------------------------------------------------------------------
| RESERVED ROUTES
| -------------------------------------------------------------------------
|
| There area two reserved routes:
|
|	$route['default_controller'] = 'welcome';
|
| This route indicates which controller class should be loaded if the
| URI contains no data. In the above example, the "welcome" class
| would be loaded.
|
|	$route['404_override'] = 'errors/page_missing';
|
| This route will tell the Router what URI segments to use if those provided
| in the URL cannot be matched to a valid route.
|
*/

$route['default_controller'] = 'auth';
$route['404_override'] = '';
$route['logout'] = 'auth/logout';
$route['solicitant/incidencies'] = 'solicitant/incidencies_solicitant';
$route['solicitant/incidencies/(:any)'] = 'solicitant/incidencies_solicitant/$1';
$route['solicitant/inici'] = 'solicitant/inici_solicitant';
$route['solicitant/inici/(:any)'] = 'solicitant/inici_solicitant/$1';
$route['solicitant/pf'] = 'solicitant/pf_solicitant';
$route['solicitant/pf/(:any)'] = 'solicitant/pf_solicitant/$1';
$route['gestor/incidencies'] = 'gestor/incidencies_gestor';
$route['gestor/incidencies/(:any)'] = 'gestor/incidencies_gestor/$1';
$route['gestor/inici'] = 'gestor/inici_gestor';
$route['gestor/inici/(:any)'] = 'gestor/inici_gestor/$1';
$route['gestor/pf'] = 'gestor/pf_gestor';
$route['gestor/pf/(:any)'] = 'gestor/pf_gestor/$1';
$route['admin/inici'] = 'gestor/inici';
$route['admin/usuaris'] = 'admin/usuaris/index';
$route['admin/usuaris/([0-9]+)'] = 'admin/usuaris/index/$1';

/* End of file routes.php */
/* Location: ./application/config/routes.php */