<?php 
/**
 * Controlador Portal del Gestor
 */

if (!defined('BASEPATH')) exit('Accés denegat');

class Inici_gestor extends Gestor_Controller
{

    public $data = array('subview' => 'Ops, no s\'ha especificat cap subview');
    
    public function __construct()
    {
        parent::__construct();
        $this->load->model('incidencia_model');
    }

    public function index()
    {
        $filtres['gestor'] = $this->session->userdata('usuari')->id_usuari;
        
        $filtres['estats'] = array(3);
        $this->data['incidencies_espera'] = $this->incidencia_model->get_incidencies($filtres);
        $this->data['totals'][3] = count($this->data['incidencies_espera']);
        
        $filtres['estats'] = array(2);
        $this->data['incidencies_assignades'] = $this->incidencia_model->get_incidencies($filtres);
        $this->data['totals'][2] = count($this->data['incidencies_assignades']);
        
        $filtres['estats'] = array(4);
        $this->data['incidencies_tancades'] = $this->incidencia_model->get_incidencies($filtres, 10);
        $this->data['totals'][4] = count($this->data['incidencies_tancades']);
        
        $filtres['gestor'] = false;
        $filtres['estats'] = array(1);
        $filtres['departament'] = $this->session->userdata('usuari')->departament;
        $this->data['incidencies_noves'] = $this->incidencia_model->get_incidencies($filtres);
        $this->data['totals'][1] = count($this->data['incidencies_noves']);
        
        $this->data['subview'] = 'gestor/inici';
        $this->data['page_title'] = 'Inici';
        $this->data['extraHead'] = '<link href="'.asset_url().'css/bootstrap-rowlink.min.css" rel="stylesheet">
                                    <script type="text/javascript" src="'.asset_url().'js/bootstrap-rowlink.min.js"></script>';
        $this->load->view('template/layout', $this->data);
    }

}

/* Fi del fitxer inici.php */
/* Ubicació: ./application/controllers/solicitant/inici.php */