<?php 

if (!defined('BASEPATH')) exit('Accés denegat');

class Admin_Controller extends CI_Controller {
    public function __construct() {
        parent::__construct();

        if (!$this->session->userdata('es_admin')) {
            $this->session->set_userdata('referrer', current_url());
            redirect('/');
        }
    }
}

class Gestor_Controller extends CI_Controller {
    public function __construct() {
        parent::__construct();

        if (!$this->session->userdata('es_gestor')
                && !$this->session->userdata('es_admin')) {
            $this->session->set_userdata('referrer', current_url());
            redirect('/');
        }
    }
}

class Solicitant_Controller extends CI_Controller {
    public function __construct() {
        
        parent::__construct();
        
        if (!$this->session->userdata('es_solicitant')) {
            $this->session->set_userdata('referrer', current_url());  
            redirect('/');
        }
    }
}

/* Fi del fitxer MY_Controller.php */
/* Ubicació: ./application/libraries/MY_Controller.php */