<?php 
/**
 * Model taula 'departament'
 * Basat en MY_Model (funcionalitat CRUD)
 */

if (!defined('BASEPATH')) exit('Accés denegat');

class Departament_model extends MY_Model
{

    public $_table = 'departament';
    public $primary_key = 'id_departament';
    
    public function __construct()
    {
        parent::__construct();

    }
    
    /**
     * Retorna tots els departaments per mostrar-los a un select
     * @return {array} Departaments
     */
    public function get_departaments()
    {
        $multi_dim = $this->departament_model->get_all();
        $departaments = array();
        $departaments[NULL] = '';
        foreach ($multi_dim as $departament)
        {
            $departaments[$departament->id_departament] = $departament->nom;
        }
        return $departaments;
    }

}

/* Fi del fitxer departament_model.php */
/* Ubicació: ./application/models/departament_model.php */