<?php 
/**
 * Model taula 'motiu'
 * Basat en MY_Model (funcionalitat CRUD)
 */

if (!defined('BASEPATH')) exit('Accés denegat');

class Motiu_model extends MY_Model
{

    public $_table = 'motiu';
    public $primary_key = 'id_motiu';
    
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Retorna tots els motius de la base de dades per mostrar-los a un select
     * @return {array} Motius
     */
    public function get_motius()
    {
        $multi_dim = $this->motiu_model->get_all();
        $motius = array();
        $motius[NULL] = '';
        foreach ($multi_dim as $motiu)
        {
            $motius[$motiu->id_motiu] = $motiu->descripcio;
        }
        return $motius;
    }
    
}

/* Fi del fitxer motiu_model.php */
/* Ubicació: ./application/models/motiu_model.php */