<div class='center'>
    <h1>Editar usuari</h1>
</div>

<?php echo $this->messages->output(); ?>
<?php echo show_if($error, '<div class="messages message-error"><strong>', '</strong></div>'); ?>

<div id='content' class='row content-base'>
    <?php echo form_open('admin/usuaris/actualitza_usuari', array('class' => 'form-horizontal', 'id' => 'form-editar-usuari')); ?>
    
    <div class="span10">    
        
        <div class="row-fluid">
            <div class="span6">
                <div class='control-group'>
                    <label class='control-label' for="id_usuari">Identificador:</label>
                    <div class='controls'>
                        <input type="text" name="id_usuari" id="id_usuari" value="<?php echo $usuari->id_usuari; ?>" readonly />
                    </div>
                </div>
            </div>
            <div class="span6">
                <div class='control-group <?php if (form_error('email') !== '') echo 'error'; ?>'>
                    <label class='control-label' for="email">Correu electrònic:</label>
                    <div class='controls'>
                        <?php $sel = ($this->input->post('email')) ? $this->input->post('email') : $usuari->email; ?>
                        <input type="text" name="email" id="titol" value="<?php echo $sel; ?>" required maxlength="100" />
                        <?php echo form_error('email', '<div class="form_error">', '</div>'); ?>
                    </div>
                </div>
            </div>
        </div>
        
        <div class="row-fluid">
            <div class="span6">
                <div class='control-group <?php if (form_error('nom') !== '') echo 'error'; ?>'>
                    <label class='control-label' for="nom">Nom:</label>
                    <div class='controls'>
                        <?php $sel = ($this->input->post('nom')) ? $this->input->post('nom') : $usuari->nom; ?>
                        <input type="text" name="nom" id="titol" value="<?php echo $sel; ?>" required maxlength="45" />
                        <?php echo form_error('nom', '<div class="form_error">', '</div>'); ?>
                    </div>
                </div>
            </div>
            <div class="span6">
                <div class='control-group <?php if (form_error('cognoms') !== '') echo 'error'; ?>'>
                    <label class='control-label' for="cognoms">Cognoms:</label>
                    <div class='controls'>
                        <?php $sel = ($this->input->post('cognoms')) ? $this->input->post('cognoms') : $usuari->cognoms; ?>
                        <input type="text" name="cognoms" id="titol" value="<?php echo $sel; ?>" required maxlength="100" />
                        <?php echo form_error('cognoms', '<div class="form_error">', '</div>'); ?>
                    </div>
                </div>
            </div>
        </div>

        <div class="row-fluid">
            <div class="span6">
                <div class='control-group <?php if (form_error('rol') !== '') echo 'error'; ?>'>
                    <label class='control-label' for="rol">Rol:</label>
                    <div class='controls'>
                        <?php $sel = ($this->input->post('rol')) ? $this->input->post('rol') : $usuari->rol_id; ?>
                        <?php echo form_dropdown('rol', $rols, $sel, 'required id="rol"'); ?>
                        <?php echo form_error('rol', '<div class="form_error">', '</div>'); ?>
                    </div>
                </div>
            </div>
            <div class="span6 departament"
                 style="<?php if (!$this->input->post('departament') || $this->input->post('departament')==='1') echo "display: none"; ?>">
                <div class='control-group <?php if (form_error('departament') !== '') echo 'error'; ?>'>
                    <label class='control-label' for="departament">Departament:</label>
                    <div class='controls'>
                        <?php $sel = ($this->input->post('departament')) ? $this->input->post('departament') : $usuari->departament; ?>
                        <?php echo form_dropdown('departament', $departaments, $sel, 'id="departament"'); ?>
                        <?php echo form_error('departament', '<div class="form_error">', '</div>'); ?>
                    </div>
                </div>
            </div>
        </div>
        
        <div class="row-fluid">
            <div class="span12">
                <div class='control-group <?php if (form_error('data_baixa') !== '') echo 'error'; ?>'>
                    <label class='control-label' for="data_baixa">Data baixa:</label>
                    <div class='controls'>
                        <?php $sel = ($this->input->post('data_baixa')) ? $this->input->post('data_baixa') : $usuari->data_baixa; ?>
                        <div class="input-append date datepicker" data-date-format="yyyy-mm-dd">
                            <input class="input-medium" type="text" id="data_baixa" name="data_baixa" value="<?php echo $sel; ?>" readonly>
                            <span class="add-on"><i class="icon-th"></i></span>
                        </div>
                        <a href="#" id="esborrar-databaixa">Esborrar</a>
                        <?php echo form_error('data_baixa', '<div class="form_error">', '</div>'); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    <div class="center" style="clear: both;">
        <button type="reset" class="btn" onClick="window.location = '<?php echo site_url('admin/usuaris'); ?>'">Cancel·lar</button>
        <button type="submit" id="submit" class="btn btn-primary" data-loading-text="Desant...">Desar</button>&nbsp;&nbsp;
        <button class="btn btn-warning tetooltip reiniciar" title="Enviar nova contrasenya a l'usuari">Reiniciar contrasenya</button>
    </div>

    <?php echo form_close(); ?>
</div>

<script type='text/javascript'>
    $(document).ready(function() {
        // Prepara formulari
        $('#submit').button('reset');
        if ($('#rol').val() !== "1" && $('#rol').val() !== "")
        {
            $('.departament').fadeIn();
            $('#departament').prop("required", true);
        }
        
        // Data baixa
        $('.datepicker').datepicker({
            language: 'ca', weekStart: 1, autoclose: true
        });
        $('#esborrar-databaixa').click(function(){
           $('#data_baixa').val('');
        });
        
        // Mostrar camp Departament si cal
        $('#rol').change(function(e) {
            if ($(this).val() !== "1")
            {
                $('.departament').fadeIn();
                $('#departament').prop("required", true);
            }
            else
            {
                $('.departament').fadeOut();
                $('#departament').prop("required", false);
            }
        });
        
        // Feedback en enviar
        $('#form-editar-usuari').submit( function() {
            $('#submit').button('loading');
        });
        
        // Reiniciar contrasenya
        $("button.reiniciar").click(function(e) {
            e.preventDefault();
            bootbox.confirm("Al reiniciar la contrasenya se'n generarà una d'aleatòria que serà enviada al correu electrònic de l'usuari. Les dades entrades al formulari no seran guardades.", "Cancel·lar", "D'acord", function(confirmed) {
                if (confirmed)
                {
                    $.ajax({
                        type: 'post',
                        url: '<?php echo base_url('admin/usuaris/reiniciar_contrasenya'); ?>',
                        cache: false,
                        data: { id_usuari: "<?php echo $usuari->id_usuari; ?>",
                                nom: "<?php echo $usuari->nom; ?>",
                                email: "<?php echo $usuari->email; ?>",
                                <?php echo $this->security->get_csrf_token_name(); ?>: '<?php echo $this->security->get_csrf_hash(); ?>'},
                        dataType: 'json',
                        success: function(result)
                        {
                            if (result.status === 'ok')
                            {
                                window.location = "<?php echo site_url('admin/usuaris'); ?>";
                            }
                            else
                            {
                                $('#content').append('<div class="messages message-error message-fixed">'+result.error+'</div>');
                                processaMessages();
                            }
                        },
                        error: function(result)
                        {
                            $('#content').append('<div class="messages message-error message-fixed">'+result.error+'</div>');
                                processaMessages();
                        }
                    });
                }
            });
        });
    });
</script>