<?php
if (count($notes_seguiment) === 0)
{
    echo "<h4 class='center'>No existeix cap nota de seguiment</h4>";
}
else
{
    foreach ($notes_seguiment as $nota)
    {
        ?>
        <div class="row-fluid">
            <div class="box span12">
                <div class="box-header well">
                    <h2>
                        <img src="<?php echo asset_url(); ?>uploads/fotos_perfil/<?php echo $nota->usuari_foto; ?>"
                            class="img-rounded tetooltip" title="Usuari: <?php echo $nota->added_by; ?>" />
                        <?php echo $nota->usuari_nom; ?>
                        &nbsp;&nbsp;&nbsp;&nbsp;<small class="label"><?php if ($nota->tipus === 'gestor') echo "Privada"; ?></small>
                    </h2>
                    <div class="box-icon">
                        <h2><small><?php echo date("d/m/Y H:i:s", strtotime($nota->added_on)); ?></small></h2>
                    </div>
                </div>
                <div class="box-content">
                    <?php echo $nota->descripcio; ?>
                </div>
            </div>
        </div>
        <?php
    }
}
?>

<script type='text/javascript'>
    $(document).ready(function() {
        $('.tetooltip').tooltip()
    });
</script>