<?php
if (count($solucions) === 0)
{
    echo "<h4 class='center'>No existeix cap solució</h4>";
}
else
{
    foreach ($solucions as $solucio)
    {
        ?>
            <div class="row-fluid">
                <div class="box span12">
                    <div class="box-header well">
                        <h2>
                            <img src="<?php echo asset_url(); ?>uploads/fotos_perfil/<?php echo $solucio->usuari_foto; ?>"
                                class="img-rounded tetooltip" title="Usuari: <?php echo $solucio->added_by; ?>" />
                            <?php echo $solucio->usuari_nom; ?>
                        </h2>
                        <div class="box-icon">
                            <h2>
                                <?php if ($solucio->valoracio === '1' && !$this->session->userdata('es_solicitant')) { ?>
                                    <img src="<?php echo asset_url(); ?>img/icons/emo_happy.png" />
                                <?php } elseif ($solucio->valoracio === '2' && !$this->session->userdata('es_solicitant')) { ?>
                                    <img src="<?php echo asset_url(); ?>img/icons/emo_sad.png" />
                                <?php } ?>
                                <small><?php echo date("d/m/Y H:i:s", strtotime($solucio->added_on)); ?></small>
                            </h2>
                        </div>
                    </div>
                    <div class="box-content">
                        <p><?php echo $solucio->descripcio; ?></p>
                        
                        <?php if ($this->session->userdata('es_solicitant')) { ?>
                        <div class="center">
                            <div class="btn-group" data-toggle="buttons-radio">
                                <a class="btn btn-success <?php if ($solucio->valoracio == "2") echo "btn-apagat"; elseif ($solucio->valoracio == "1") echo "active"; ?>"
                                   id="<?php echo $solucio->id_notaSeguiment; ?>">
                                    <img src="<?php echo asset_url(); ?>img/icons/emo_happy.png" />
                                </a>
                                <a class="btn btn-danger <?php if ($solucio->valoracio == "1") echo "btn-apagat"; elseif ($solucio->valoracio == "2") echo "active"; ?>"
                                   id="<?php echo $solucio->id_notaSeguiment; ?>">
                                    <img src="<?php echo asset_url(); ?>img/icons/emo_sad.png" />
                                </a>
                            </div>
                        </div>
                        <?php } ?>
                    </div>
                </div>
            </div>
            <?php
    }
}
?>

<script type='text/javascript'>
    $(document).ready(function() {
        $('.tetooltip').tooltip()
    });
</script>