<!DOCTYPE html>
<html lang='ca'>
    <head>
        <?php $random_string = random_string('alnum', 6); ?>
        <?php $this->load->view('template/head'); ?>
        <link rel="stylesheet" href="<?php echo asset_url(); ?>css/login.css?<?php echo $random_string; ?>" />
    </head>

    <body>
        <section class='container'>
            <div class='row logo'>
                <img src='<?php echo asset_url(); ?>img/logo.png' alt='Logotip CIAU' />
            </div>
            <?php echo $this->messages->output(); ?>
            <div class='row'>
                <?php echo form_open('auth/autenticar', array('class' => 'form-signin')); ?>
                    <h2 class="form-signin-heading">Identificació</h2>

                    <div class="input-prepend">
                        <span class="add-on"><i class="icon-user"></i></span>
                        <input type="text" class="input-block-level" name="usuari" id="usuari" value="<?php echo $this->session->userdata('usuari_login'); ?>" placeholder="Nom d'usuari" required autofocus />
                    </div>
                    <div class="input-prepend">
                        <span class="add-on"><i class="icon-lock"></i></span>
                        <input type="password" class="input-block-level" name="contrasenya" id="contrasenya" placeholder="Contrasenya" required />
                    </div>

                    <button class="btn btn-large btn-block btn-primary" type="submit" id="submit-login" data-loading-text="Iniciant...">Inicia sessió</button>
                <?php echo form_close(); ?>
            </div>
        </section>
    </body>

    <script type="text/javascript">
        $(document).ready(function() {
            $('#submit-login').button('reset');
            $('.form-signin').submit( function() {
                $('#submit-login').button('loading');
            });
        });
    </script>

</html>