<div class='center'>
    <h1>Nova incidència</h1>
</div>

<?php echo $this->messages->output(); ?>
<?php echo show_if($error, '<div class="messages message-error"><strong>', '</strong></div>'); ?>

<div id='content' class='row content-base'>
    <div class="span10 center">
        <?php echo form_open_multipart('solicitant/incidencies/guarda_incidencia', array('class' => 'form-horizontal')); ?>
        <div class='control-group <?php if (form_error('motiu') !== '') echo 'error'; ?>'>
            <label class='control-label' for="motiu">Motiu:</label>
            <div class='controls'>
                <?php $sel = ($this->input->post('motiu')) ? $this->input->post('motiu') : ''; ?>
                <?php echo form_dropdown('motiu', $motius, $sel, 'required class="span6" id="motiu"'); ?>
                <?php echo form_error('motiu', '<div class="form_error">', '</div>'); ?>
                <div id="pfs-relacionades"></div>
            </div>
        </div>
        <div class='control-group <?php if (form_error('titol') !== '') echo 'error'; ?>'>
            <label class='control-label' for="titol">Títol:</label>
            <div class='controls'>
                <input type="text" name="titol" id="titol" value="<?php echo set_value('titol'); ?>" required placeholder="Descriu la incidència amb una frase" maxlength="60" class='span6' />
                <?php echo form_error('titol', '<div class="form_error">', '</div>'); ?>
            </div>
        </div>
        <div class='control-group <?php if (form_error('descripcio') !== '') echo 'error'; ?>'>
            <label class='control-label' for="descripcio">Descripció:</label>
            <div class='controls'>
                <textarea name='descripcio' id='descripcio' placeholder='Detalls de la incidència' required class='span6' rows="4"><?php echo set_value('descripcio'); ?></textarea>
                <?php echo form_error('descripcio', '<div class="form_error">', '</div>'); ?>
            </div>
        </div>
        <div class='control-group <?php if (form_error('prioritat') !== '') echo 'error'; ?>'>
            <label class='control-label' for="prioritat">Prioritat:</label>
            <div class='controls'>
                <?php $prioritats = array('Baixa' => 'Baixa', 'Normal' => 'Normal', 'Alta' => 'Alta'); ?>
                <?php $sel = ($this->input->post('prioritat')) ? $this->input->post('prioritat') : 'Normal'; ?>
                <?php echo form_dropdown('prioritat', $prioritats, $sel, "required class='span6'"); ?>
                <?php echo form_error('prioritat', '<div class="form_error">', '</div>'); ?>
            </div>
        </div>
        <div class='control-group'>
            <label class='control-label' for="adjunt">Adjunt:</label>
            <div class='controls'>
                <div class="fileupload fileupload-new" data-provides="fileupload">
                    <div class="input-append">
                        <div class="uneditable-input span4"><i class="icon-file fileupload-exists"></i> <span class="fileupload-preview"></span></div>
                        <span class="btn btn-file">
                            <span class="fileupload-new">Escull el fitxer</span>
                            <span class="fileupload-exists">Canviar</span>
                            <input type="file" name="adjunt" />
                        </span>
                        <a href="#" class="btn fileupload-exists" data-dismiss="fileupload">Esborrar</a>
                    </div>
                    <span class="help-block">Imatges, PDF, Word, Excel, Txt, Zip. Mida màxima: 1Mb</span>
                </div>
            </div>
        </div>

        <div class="control-group">
            <button type="reset" class="btn" onClick="window.location = '<?php echo base_url(); ?>'">Cancel·lar</button>
            <button type="submit" class="btn btn-primary">Desar</button>
        </div>

        <?php echo form_close(); ?>
    </div>
</div>

<!-- MODAL Visualització PF -->
<div id='modal-veure-pf' class='modal hide fade'>
    <div class='modal-body'>
    </div>
    <div class='modal-footer'>
        <a class="btn btn-success" href="<?php echo site_url(); ?>"><i class="icon-ok icon-white"></i> És la solució</a>
        <button type="button" class='btn' data-dismiss='modal' aria-hidden='true'>Tancar</button>
    </div>
</div>

<script type='text/javascript'>
    $(document).ready(function() {
        $('#motiu').change(function() {
            if ($(this).val())
            {
                $.ajax({
                    url:'<?php echo site_url('solicitant/pf/veure_pfs_relacionades'); ?>/'+$(this).val(),
                    type: 'html',
                    success:function(content)
                    {
                        $('#pfs-relacionades').html(content);
                        $('#pfs-relacionades').fadeIn();
                    }
                }); 
            }
            else
            {
                $('#pfs-relacionades').fadeOut();
            }
        });
        
        // Per carregar diferents PFs dins el mateix modal
        $('body').on('hidden', '.modal', function () {
            $(this).removeData('modal');
        });
    });
</script>
