<div class='center'>
    <h1><?php echo $page_title; ?></h1>
</div>

<?php echo $this->messages->output(); ?>

<div class="box content-base row">
    <div class="box-header well">
        <h2>
            <i class="icon-filter"></i>
            Filtres
        </h2>
        <div class="box-icon">
            <a href="#" class="btn btn-round tetooltip" id="btoFiltres"><i class="icon-chevron-down"></i></a>
        </div>
    </div>
    <div class="box-content" style="display: none;">
        <?php echo form_open('solicitant/pf', array('class' => 'form-horizontal', 'style' => 'margin: 0px;')); ?>
        <div class="control-group span8">
            Cerca per pregunta/solucio/etiquetes:&nbsp;
            <input class="input" type="text" id="text" name="text" value="<?php echo set_value('text'); ?>" maxlength="50">
        </div>
        <div class="control-group right span3">
            <button type="reset" class="btn" onClick="window.location.href = window.location.pathname;">Reiniciar</button>
            <button type="submit" class="btn btn-primary">Filtrar</button>
        </div>
        <?php echo form_close(); ?>
    </div>
</div>

<?php if (count($pfs)>0) { ?>
    <h3><?php echo $pfs_total; ?> preguntes freqüents</h3>
    <div id="content" class="row content-base" style="padding: 0px;">
        <table class="table table-hover table-bordered table-striped" data-provides="rowlink" style="margin-bottom: 0px;">
            <thead>
                <tr>
                    <th width="1%" style="text-align: center">#</th>
                    <th>Pregunta</th>
                    <th width="25%">Etiquetes</th>
                    <th width="1%" style="text-align: center">Visites</th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($pfs as $pf) { ?>
                <tr class="rowlink-modal" href="<?php echo base_url('solicitant/pf/veure_pf/'.$pf->id_preguntaFrequent.'/1'); ?>">
                    <td style="text-align: center">
                        <a href="#" class="rowlink">
                            <?php echo $pf->id_preguntaFrequent; ?>
                        </a>
                    </td>
                    <td>
                        <?php
                        echo substr($pf->pregunta, 0, 100);
                        if (strlen($pf->pregunta) > 100) echo " ...";
                        ?>
                    </td>
                    <td>
                        <?php
                        echo substr(str_replace(',',', ',$pf->etiquetes), 0, 30);
                        if (strlen($pf->etiquetes) > 30) echo " ...";
                        ?>
                    </td>
                    <td style="text-align: center">
                        <?php echo $pf->visites; ?>
                    </td>
                </tr>
                <?php } ?>
            </tbody>
        </table>
    </div>
    <?php echo $paginacio; ?>
<?php } else { ?>
    <div id="content" class="row content-base" >   
        <h3>No hi ha cap pregunta freqüent</h3>
    </div>
<?php } ?>

<!-- MODAL Visualització PF -->
<div id='modal-veure-pf-taula' class='modal hide fade'>
    <div class='modal-body'>
    </div>
    <div class='modal-footer'>
        <button type="button" class='btn' data-dismiss='modal' aria-hidden='true'>Tancar</button>
    </div>
</div>
    
<script type='text/javascript'>
    $(document).ready(function() {
        $("#btoFiltres").click(function () {
            $(".box-content").toggle();
        });
        
        // Enllaç files per veure PF
        $('.rowlink-modal').on('click', function(e) {
            var url = $(this).attr('href');
            $('#modal-veure-pf-taula .modal-body').html('<iframe width="100%" height="100%" frameborder="0" scrolling="auto" allowtransparency="true" src="' + url + '"></iframe>');
            $('#modal-veure-pf-taula').modal();
            return false;
        });
    });
</script>