<?php if ($this->session->userdata('loggedin')) { ?>
    <nav class='navbar navbar-inverse navbar-fixed-top'>
        <div class='navbar-inner'>
            <div class="container">
                <a href='<?php echo base_url(); ?>' class='brand'></a>
                <ul class='nav'>
                    <li class='<?php echo current_controller($this->session->userdata('usuari')->rol.'/inici'); ?>'>
                        <a href='<?php echo base_url(); ?>'>
                            <i class="icon-home icon-white"></i> 
                            Inici
                        </a>
                    </li>
                    <?php
                    // Menú sol·licitant
                    if ($this->session->userdata('es_solicitant'))
                    {
                        ?>
                        <li class='<?php echo current_controller('solicitant/incidencies/nova_incidencia'); ?>'>
                            <a href='<?php echo base_url(); ?>solicitant/incidencies/nova_incidencia'><i class="icon-plus icon-white"></i> Nova incidència</a>
                        </li>
                        <li class='<?php echo current_controller('solicitant/incidencies/historic'); ?>'>
                            <a href='<?php echo base_url(); ?>solicitant/incidencies/historic'><i class="icon-folder-open icon-white"></i> Històric</a>
                        </li>
                        <li class='<?php echo current_controller('solicitant/pf'); ?>'>
                            <a href='<?php echo base_url(); ?>solicitant/pf'><i class="icon-question-sign icon-white"></i> FAQ</a>
                        </li>
                        <?php
                    }
                    // Menú gestors i administradors
                    elseif ($this->session->userdata('es_gestor')
                            || $this->session->userdata('es_admin'))
                    {
                        ?>
                        <li class='<?php echo current_controller('gestor/incidencies/historic'); ?>'>
                            <a href='<?php echo base_url(); ?>gestor/incidencies/historic'><i class="icon-folder-open icon-white"></i> Històric</a>
                        </li>
                        <li class='<?php echo current_controller('gestor/pf'); ?>'>
                            <a href='<?php echo base_url(); ?>gestor/pf'><i class="icon-question-sign icon-white"></i> FAQ</a>
                        </li>
                        <?php
                    }
                    // Menú administradors
                    if ($this->session->userdata('es_admin'))
                    {
                        ?>
                        <li class='<?php echo current_controller('admin/usuaris'); ?>'>
                            <a href='<?php echo base_url(); ?>admin/usuaris'><i class="icon-user icon-white"></i> Usuaris</a>
                        </li>
                        <li class='<?php echo current_controller('admin/informes'); ?>'>
                            <a href='<?php echo base_url(); ?>admin/informes'><i class="icon-signal icon-white"></i> Informes</a>
                        </li>
                        <?php
                    }
                    ?>
                </ul>
                
                <div class="nav-collapse">
                <?php
                // Cerca directa gestors i administradors
                if ($this->session->userdata('es_gestor')
                            || $this->session->userdata('es_admin'))
                {
                    echo form_open('gestor/incidencies/historic', 'class="navbar-search pull-left"');
                    ?>                    
                        <input type="text" name="text" class="search-query" placeholder="Cerca">
                    <?php
                    echo form_close();
                }
                ?>
                </div>

                <ul class="nav pull-right">  
                    <li class="dropdown">  
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">  
                            <img src="<?php echo asset_url(); ?>uploads/fotos_perfil/<?php echo $this->session->userdata('usuari')->foto; ?>"
                                 class='img-rounded foto-perfil' alt="Foto perfil usuari"/>
                                 <?php echo $this->session->userdata('usuari')->id_usuari; ?>
                            <b class="caret"></b>  
                        </a>  
                        <ul class="dropdown-menu">  
                            <li class='socials'><a href='<?php echo base_url(); ?>perfil'><i class="icon-edit"></i>  Perfil</a></li>
                            <li class="divider"></li>
                            <li class='socials'><a href='<?php echo base_url(); ?>logout'><i class="icon-remove-sign"></i>  Sortir</a></li>
                        </ul>  
                    </li>  
                </ul>
            </div>
        </div>
    </nav>
<?php } ?>