<?php 
/**
 * Model taula 'estat'
 * Basat en MY_Model (funcionalitat CRUD)
 */

if (!defined('BASEPATH')) exit('Accés denegat');

class Estat_model extends MY_Model
{

    public $_table = 'estat';
    public $primary_key = 'id_estat';
    
    public function __construct()
    {
        parent::__construct();
    }
    
    /**
     * Retorna tots els estats de la base de dades per mostrar-los a un select
     * @return {array} Estats
     */
    public function get_estats()
    {
        $multi_dim = $this->estat_model->get_all();
        $estats = array();
        $estats[NULL] = '';
        foreach ($multi_dim as $estat)
        {
            $estats[$estat->id_estat] = $estat->nom;
        }
        return $estats;
    }
}