<div class='center'>
    <h1>Nou usuari</h1>
</div>

<?php echo $this->messages->output(); ?>
<?php echo show_if($error, '<div class="messages message-error"><strong>', '</strong></div>'); ?>

<div id='content' class='row content-base'>
    <?php echo form_open('admin/usuaris/guarda_usuari', array('class' => 'form-horizontal', 'id' => 'form-nou-usuari')); ?>
    
    <div class="span10">    
        <div class="row-fluid">
            <div class="span6">
                <div class='control-group <?php if (form_error('id_usuari') !== '') echo 'error'; ?>'>
                    <label class='control-label' for="id_usuari">Identificador:</label>
                    <div class='controls'>
                        <input type="text" name="id_usuari" id="id_usuari" value="<?php echo set_value('id_usuari'); ?>" required pattern="^[a-zA-Z0-9_]*$" placeholder="Codi usuari únic amb lletres, nombres i _" maxlength="15" />
                        <?php echo form_error('id_usuari', '<div class="form_error">', '</div>'); ?>
                    </div>
                </div>
            </div>
            <div class="span6">
                <div class='control-group'>
                    <label class='control-label' for="contrasenya">Contrasenya:</label>
                    <div class='controls'>
                        <?php $sel = ($this->input->post('contrasenya')) ? $this->input->post('contrasenya') : $contrasenya; ?>
                        <input type="text" name="contrasenya" id="contrasenya" value="<?php echo $sel; ?>" required maxlength="15" readonly />
                    </div>
                </div>
            </div>
        </div>

        <div class="row-fluid">
            <div class="span6">
                <div class='control-group <?php if (form_error('nom') !== '') echo 'error'; ?>'>
                    <label class='control-label' for="nom">Nom:</label>
                    <div class='controls'>
                        <input type="text" name="nom" id="titol" value="<?php echo set_value('nom'); ?>" required maxlength="45" />
                        <?php echo form_error('nom', '<div class="form_error">', '</div>'); ?>
                    </div>
                </div>
            </div>
            <div class="span6">
                <div class='control-group <?php if (form_error('cognoms') !== '') echo 'error'; ?>'>
                    <label class='control-label' for="cognoms">Cognoms:</label>
                    <div class='controls'>
                        <input type="text" name="cognoms" id="titol" value="<?php echo set_value('cognoms'); ?>" required maxlength="100" />
                        <?php echo form_error('cognoms', '<div class="form_error">', '</div>'); ?>
                    </div>
                </div>
            </div>
        </div>

        <div class="row-fluid">
            <div class="span12">
                <div class='control-group <?php if (form_error('email') !== '') echo 'error'; ?>'>
                    <label class='control-label' for="email">Correu electrònic:</label>
                    <div class='controls'>
                        <input type="text" name="email" id="titol" value="<?php echo set_value('email'); ?>" required maxlength="100" />
                        <?php echo form_error('email', '<div class="form_error">', '</div>'); ?>
                    </div>
                </div>
            </div>
        </div>

        <div class="row-fluid">
            <div class="span6">
                <div class='control-group <?php if (form_error('rol') !== '') echo 'error'; ?>'>
                    <label class='control-label' for="rol">Rol:</label>
                    <div class='controls'>
                        <?php $sel = ($this->input->post('rol')) ? $this->input->post('rol') : ''; ?>
                        <?php echo form_dropdown('rol', $rols, $sel, 'required id="rol"'); ?>
                        <?php echo form_error('rol', '<div class="form_error">', '</div>'); ?>
                    </div>
                </div>
            </div>
            <div class="span6 departament"
                 style="<?php if (!$this->input->post('departament') || $this->input->post('departament')==='1') echo "display: none"; ?>">
                <div class='control-group <?php if (form_error('departament') !== '') echo 'error'; ?>'>
                    <label class='control-label' for="departament">Departament:</label>
                    <div class='controls'>
                        <?php $sel = ($this->input->post('departament')) ? $this->input->post('departament') : ''; ?>
                        <?php echo form_dropdown('departament', $departaments, $sel, 'id="departament"'); ?>
                        <?php echo form_error('departament', '<div class="form_error">', '</div>'); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    <div class="center" style="clear: both;">
        <button type="reset" class="btn" onClick="window.location = '<?php echo base_url() . '/admin/usuaris'; ?>'">Cancel·lar</button>
        <button type="submit" id="submit" class="btn btn-primary" data-loading-text="Desant...">Desar</button>
    </div>

    <?php echo form_close(); ?>
</div>

<script type='text/javascript'>
    $(document).ready(function() {
        // Prepara formulari
        $('#submit').button('reset');
        if ($('#rol').val() !== "1" && $('#rol').val() !== "")
        {
            $('.departament').fadeIn();
            
        }
        
        // Mostrar camp Departament si cal
        $('#rol').change(function(e) {
            if ($(this).val() !== "1")
            {
                $('.departament').fadeIn();
                $('#departament').prop("required", true);
            }
            else
            {
                $('.departament').fadeOut();
                $('#departament').prop("required", false);
            }
        });
        
        // Feedback en enviar
        $('#form-nou-usuari').submit( function() {
            $('#submit').button('loading');
        });
    });
</script>