<div class='center'>
    <h1>Històric</h1>
</div>

<?php echo $this->messages->output(); ?>

<div class="box content-base row">
    <div class="box-header well">
        <h2>
            <i class="icon-filter"></i>
            Filtres
        </h2>
        <div class="box-icon">
            <a href="#" class="btn btn-round tetooltip" id="btoFiltres"><i class="icon-chevron-down"></i></a>
        </div>
    </div>
    <div class="box-content" style="display: none;">
        <?php echo form_open('gestor/incidencies/historic', array('class' => 'form-horizontal', 'style' => 'margin: 0px;')); ?>
        <div class="span4 control-group">
            Títol/Descripció:&nbsp;
            <input class="input-medium" type="text" id="text" name="text" value="<?php echo set_value('text'); ?>" maxlength="50">
        </div>
        <div class="span4 control-group">
            Prioritat:&nbsp;
            <?php $prioritats = array(''=>'', 'Baixa' => 'Baixa', 'Normal' => 'Normal', 'Alta' => 'Alta'); ?>
            <?php $sel = ($this->input->post('prioritat')) ? $this->input->post('prioritat') : ''; ?>
            <?php echo form_dropdown('prioritat', $prioritats, $sel, "class='input-medium'"); ?>
        </div>
        <div class="span3 control-group">
            Des de:&nbsp;
            <div class="input-append date datepicker" data-date-format="dd/mm/yyyy">
                <input class="input-small" type="text" id="desde" name="desde" value="<?php echo set_value('desde'); ?>" readonly>
                <span class="add-on"><i class="icon-th"></i></span>
            </div>
        </div>
        <div class="span4 control-group">
            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Estat:&nbsp;
            <?php $sel = ($this->input->post('estat')) ? $this->input->post('estat') : ''; ?>
            <?php echo form_dropdown('estat', $estats, $sel, 'class="input-medium"'); ?>
        </div>
        <div class="span4 control-group">
            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Motiu:&nbsp;
            <?php $sel = ($this->input->post('motiu')) ? $this->input->post('motiu') : ''; ?>
            <?php echo form_dropdown('motiu', $motius, $sel, 'class="input-medium"'); ?>
        </div>
        <div class="span3 control-group">
            &nbsp;&nbsp;Fins a:&nbsp;
            <div class="input-append date datepicker" data-date-format="dd/mm/yyyy">
                <input class="input-small" type="text" id="fins" name="fins" value="<?php echo set_value('fins'); ?>" readonly>
                <span class="add-on"><i class="icon-th"></i></span>
            </div>
        </div>
        <div class="span4 control-group">
            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sol·licitant:&nbsp;
            <input class="input-medium" type="text" id="solicitant" data-typeahead-url="<?php echo base_url(); ?>gestor/incidencies/autocomplete_usuari" name="solicitant" value="<? echo set_value('solicitant'); ?>" maxlength="20" autocomplete="off" placeholder="Nom d'usuari">
        </div>
        <div class="span4 control-group">
            &nbsp;&nbsp;&nbsp;Gestor:&nbsp;
            <!--<input class="input-medium" type="text" id="gestor" data-typeahead-url="<?php echo base_url(); ?>gestor/incidencies/autocomplete_usuari" name="gestor" value="<?php echo set_value('gestor'); ?>" maxlength="20" autocomplete="off" placeholder="Nom d'usuari">-->
            <?php $sel = ($this->input->post('gestor')) ? $this->input->post('gestor') : ''; ?>
            <?php echo form_dropdown('gestor', $gestors, $sel, 'class="input-medium"'); ?>
        </div>
        <div class="span3 control-group">
            Depart.:&nbsp;
            <?php $sel = ($this->input->post('departament')) ? $this->input->post('departament') : ''; ?>
            <?php echo form_dropdown('departament', $departaments, $sel, 'class="input-medium"'); ?>
        </div>
        <div class="center">
            <button type="reset" class="btn" onClick="window.location.href = window.location.pathname;">Reiniciar</button>
            <button type="submit" class="btn btn-primary">Filtrar</button>
        </div>
        <?php echo form_close(); ?>
    </div>
</div>

<?php if (count($incidencies)>0) { ?>
    <?php echo '<h3 class="center">'.$incidencies_total.' incidències</h3>'; ?>
    <div id="content" class="row content-base" style="padding: 0px;">
        <table class="table table-hover table-bordered table-striped" data-provides="rowlink" style="margin-bottom: 0px;">
            <thead>
                <tr>
                    <th width="1%" style="text-align: center">#</th>
                    <th>Títol</th>
                    <th width="1%" style="text-align: center">Sol·licitant</th>
                    <th width="1%" style="text-align: center">Departament</th>
                    <th width="1%" style="text-align: center">Estat</th>
                    <!--<th width="1%" style="text-align: center">Actualitzada</th>-->
                    <th width="1%" style="text-align: center">Creada</th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($incidencies as $incidencia) { ?>
                <tr>
                    <td style="text-align: center">
                        <span class="badge prioritat-<?php echo $incidencia->prioritat; ?>">
                            <a href="<?php echo base_url('gestor/incidencies/veure_incidencia/'.$incidencia->id_incidencia); ?>" class="rowlink">
                                <?php echo $incidencia->id_incidencia; ?>
                            </a>
                        </span>
                    </td>
                    <td>
                        <?php
                        echo substr($incidencia->titol, 0, 55);
                        if (strlen($incidencia->titol) > 55)
                        {
                            echo " ...";
                        }
                        ?>
                    </td>
                    <td style="text-align: center">
                        <?php echo $incidencia->solicitant; ?>
                    </td>
                    <td style="text-align: center">
                        <?php echo $incidencia->departament_nom; ?>
                    </td>
                    <td style="text-align: center">
                        <span class="label"><?php echo $incidencia->estat_nom; ?></span>
                    </td>
                    <!--<td style="text-align: center">
                        <?php echo date("d/m/Y", strtotime($incidencia->updated_on)); ?>
                    </td>-->
                    <td style="text-align: center">
                        <?php echo date("d/m/Y", strtotime($incidencia->added_on)); ?>
                    </td>
                </tr>
                <?php } ?>
            </tbody>
        </table>
    </div>
    <?php echo $paginacio; ?>
<?php } else { ?>
    <div id="content" class="row content-base" >   
        <h3>No hi ha cap incidència</h3>
    </div>
<?php } ?>

<script type='text/javascript'>
    $(document).ready(function() {
        $('.datepicker').datepicker({
            language: 'ca', weekStart: 1, autoclose: true
        });
        $("#btoFiltres").click(function () {
            $(".box-content").toggle();
        });
        $(':input[data-typeahead-url]').each(function(){
            var $this = $(this);    
            $this.typeahead({
                source: function (query, process) {
                    $.get($this.attr('data-typeahead-url'), { q: query, rol: $this.attr('id') }, function (data) {
                        usuaris = [];
                        mapped = {};

                        data = JSON.parse(data.trim()); // Necessari per culpa de la codificació amb BOM

                        $.each(data, function (i, usuari) {
                            mapped[usuari.nom] = usuari;
                            usuaris.push(usuari.nom)
                        })

                        process(usuaris);
                    })
                },
                updater: function (usuari) {
                    usuari_seleccionat = mapped[usuari].id_usuari;
                    return usuari_seleccionat;
                },
                matcher: function (usuari) {
                    if (usuari.toLowerCase().indexOf(this.query.trim().toLowerCase()) != -1) {
                        return true;
                    }
                },
                sorter: function (usuaris) {
                    return usuaris.sort();
                },
                highlighter: function (usuari) {
                    var regex = new RegExp( '(' + this.query + ')', 'gi' );
                    return usuari.replace( regex, "<strong>$1</strong>" );
                },
            });
        });
    });
</script>
