<div class='center'>
    <h1>Nova pregunta freqüent</h1>
</div>

<?php echo $this->messages->output(); ?>
<?php echo show_if($error, '<div class="messages message-error"><strong>', '</strong></div>'); ?>
    
<div id='content' class='row content-base'>
    <div class="span10 center">
        <?php echo form_open('gestor/pf/guarda_pf', array('class' => 'form-horizontal', 'id' => 'form-nova-pf')); ?>
        <div class='control-group <?php if (form_error('pregunta') !== '') echo 'error'; ?>'>
            <label class='control-label' for="pregunta">Pregunta:</label>
            <div class='controls'>
                <textarea name="pregunta" id="pregunta" placeholder='Desenvolupa la pregunta que veuran els sol·licitants' required class='span6' rows="1"><?php echo set_value('pregunta'); ?></textarea>
                <?php echo form_error('pregunta', '<div class="form_error">', '</div>'); ?>
            </div>
        </div>
        <div class='control-group <?php if (form_error('solucio') !== '') echo 'error'; ?>'>
            <label class='control-label' for="solucio">Resposta:</label>
            <div class='controls'>
                <textarea name="solucio" id="solucio" placeholder='Desenvolupa la resposta que veuran els sol·licitants' required class='span6' rows="7"><?php echo set_value('solucio'); ?></textarea>
                <?php echo form_error('solucio', '<div class="form_error">', '</div>'); ?>
            </div>
        </div>
        <div class='control-group <?php if (form_error('etiquetes') !== '') echo 'error'; ?>'>
            <label class='control-label' for="titol">Etiquetes:</label>
            <div class='controls'>
                <input type="text" name="etiquetes" id="etiquetes" value="<?php echo set_value('etiquetes'); ?>" pattern="^[a-zA-Z0-9-,]*$" required placeholder="Paraules clau separades per comes, sense espais" maxlength="100" class='span6' />
                <?php echo form_error('etiquetes', '<div class="form_error">', '</div>'); ?>
            </div>
        </div>
        <div class='control-group <?php if (form_error('motiu') !== '') echo 'error'; ?>'>
            <label class="control-label">Motius relacionats:</label>
            <div class="controls" style="text-align: left; padding-left: 70px;">
                <?php foreach ($motius as $id_motiu=>$desc_motiu) { ?>
                <label class="checkbox">
                    <?php $sel = $this->input->post('motiu'); ?>
                    <input type="checkbox" name="motiu[]" value="<?php echo $id_motiu; ?>" <?php if(is_array($this->input->post('motiu')) && in_array($id_motiu, $this->input->post('motiu'))) echo 'checked'; ?>> <?php echo $desc_motiu; ?>
                </label>
                <?php
                }
                ?>
            </div>
        </div>

        <div class="control-group">
            <button type="reset" class="btn" onClick="window.location = '<?php echo site_url('gestor/pf'); ?>'">Cancel·lar</button>
            <button type="submit" id="submit" class="btn btn-primary" data-loading-text="Desant...">Desar</button>
        </div>

        <?php echo form_close(); ?>
    </div>
</div>

<script type='text/javascript'>
    $(document).ready(function() {
        // Prepara formulari
        $('#submit').button('reset');
        
        // Feedback en enviar
        $('#form-nova-pf').submit( function() {
            $('#submit').button('loading');
        });
    });
</script>