<div class='center'>
    <h1>Preguntes freqüents</h1>
</div>

<?php echo $this->messages->output(); ?>

<div class="box content-base row">
    <div class="box-header well">
        <h2>
            <i class="icon-filter"></i>
            Filtres
        </h2>
        <div class="box-icon">
            <a href="#" class="btn btn-round tetooltip" id="btoFiltres"><i class="icon-chevron-down"></i></a>
        </div>
    </div>
    <div class="box-content" style="display: none;">
        <?php echo form_open('gestor/pf', array('class' => 'form-horizontal', 'style' => 'margin: 0px;')); ?>
        <div class="control-group span8">
            Cerca per pregunta/solucio/etiquetes:&nbsp;
            <input class="input" type="text" id="text" name="text" value="<?php echo set_value('text'); ?>" maxlength="50">
        </div>
        <div class="control-group right span3">
            <button type="reset" class="btn" onClick="window.location.href = window.location.pathname;">Reiniciar</button>
            <button type="submit" class="btn btn-primary">Filtrar</button>
        </div>
        <?php echo form_close(); ?>
    </div>
</div>

<?php if (count($pfs)>0) { ?>
    <h3 class="center">
        <?php echo $pfs_total; ?> preguntes freqüents
        <span class="right" style="margin-left: -190px;">
            <a href='<?php echo site_url('gestor/pf/nova_pf'); ?>' class="btn btn-primary"><i class="icon-plus icon-white"></i> Nova pregunta freqüent</a>
        </span>
    </h3>
    <div id="content" class="row content-base" style="padding: 0px;">
        <table class="table table-hover table-bordered table-striped" data-provides="rowlink" style="margin-bottom: 0px;">
            <thead>
                <tr>
                    <th width="1%" style="text-align: center">#</th>
                    <th>Pregunta</th>
                    <th>Etiquetes</th>
                    <th width="1%" style="text-align: center">Visites</th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($pfs as $pf) { ?>
                <tr>
                    <td style="text-align: center">
                        <span>
                            <a href="<?php echo base_url('gestor/pf/editar_pf/'.$pf->id_preguntaFrequent); ?>" class="rowlink">
                                <?php echo $pf->id_preguntaFrequent; ?>
                            </a>
                        </span>
                    </td>
                    <td>
                        <?php
                        echo substr($pf->pregunta, 0, 100);
                        if (strlen($pf->pregunta) >= 100) echo " ...";
                        ?>
                    </td>
                    <td>
                        <?php
                        echo substr(str_replace(',',', ',$pf->etiquetes), 0, 40);
                        if (strlen($pf->etiquetes) >= 40) echo " ...";
                        ?>
                    </td>
                    <td style="text-align: center">
                        <?php echo $pf->visites; ?>
                    </td>
                </tr>
                <?php } ?>
            </tbody>
        </table>
    </div>
    <?php echo $paginacio; ?>
<?php } else { ?>
    <div id="content" class="row content-base" >   
        <h3>No hi ha cap pregunta freqüent</h3>
    </div>
<?php } ?>

<script type='text/javascript'>
    $(document).ready(function() {
        $("#btoFiltres").click(function () {
            $(".box-content").toggle();
        });
    });
</script>
