/**
 * Javascript inclòs a totes les vistes
 */

$(document).ready(function() {
    processaMessages();
    
    $('.tetooltip').tooltip()
    $('tr[id=popover]').popover({placement:"bottom", container:".row-fluid", trigger:"hover", html:"true", delay:{show:500,hide:100}});
});

/**
 * Mostra i oculta els Messages segons convingui
 */
function processaMessages() {
    if ($('.message-fixed').is('*'))
    {
        /* Amagar tots els missatges top */
        $('.message-fixed').css('top', -$('.message-fixed').outerHeight()); //move element outside viewport	
        /* Amagar automàticament missatges top al cap de... */
        setTimeout(function() {
            $('.message-fixed').slideUp('fast');
        }, 4000);
    }
    $(".messages").not(".message-fixed").hide(); // Amaga missatges normals
    /* Mostra tots els missatges amb efecte */
    $(".message-fixed").delay('50').animate({top:$('.navbar').outerHeight()}, 700);
    $(".messages").not(".message-fixed").delay('100').slideDown('fast');
    /* Accions en clicar missatges */
    $(document).on("click", ".messages", function() { $(this).slideUp('fast'); });
}

/**
 * Permet enllaçar a una pestanya en concret de les pàgines que tinguin Tabs (Bootstrap)
 */
function handleTabLinks() {
    var hash = window.location.href.split("#")[1];
    if (hash !== undefined) {
        var hpieces = hash.split("/");
        for (var i=0;i<hpieces.length;i++) {
            var domelid = hpieces[i];
            var domitem = $('a[href=#' + domelid + '][data-toggle=tab]');
            if (domitem.length > 0) {
                if (i+1 == hpieces.length) {
                    setTimeout(function() {
                      domitem.tab('show');
                    },
                    500);
                } else {
                   domitem.tab('show');
                }
            }
        }
    }
}